Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class BERTaggedObject

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1TaggedObject
                  org.bouncycastle.asn1.BERTaggedObject

All Implemented Interfaces:
  ASN1Encodable, ASN1TaggedObjectParser, Encodable, InMemoryRepresentable

public class BERTaggedObject
extends ASN1TaggedObject

BER TaggedObject - in ASN.1 notation this is any object preceded by a [n] where n is some number - these are assumed to follow the construction rules (as with sequences).

Constructor Summary
`BERTaggedObject(boolean explicit, int tagNo, ASN1Encodable obj)`
`BERTaggedObject(boolean explicit, int tagClass, int tagNo, ASN1Encodable obj)`
`BERTaggedObject(int tagNo, ASN1Encodable obj)`
`BERTaggedObject(int tagClass, int tagNo, ASN1Encodable obj)`

Methods inherited from class org.bouncycastle.asn1.ASN1TaggedObject
`getBaseObject, getBaseUniversal, getContextInstance, getContextInstance, getContextOptional, getContextOptional, getExplicitBaseObject, getExplicitBaseTagged, getImplicitBaseTagged, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getLoadedObject, getOptional, getOptional, getOptional, getTagClass, getTagNo, hasContextTag, hasContextTag, hashCode, hasTag, hasTagClass, isExplicit, parseBaseUniversal, parseExplicitBaseObject, parseExplicitBaseTagged, parseImplicitBaseTagged, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable
`toASN1Primitive`

Constructor Detail

### BERTaggedObject

    public BERTaggedObject(int tagNo,
                           ASN1Encodable obj)

Parameters:
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### BERTaggedObject

    public BERTaggedObject(int tagClass,
                           int tagNo,
                           ASN1Encodable obj)

### BERTaggedObject

    public BERTaggedObject(boolean explicit,
                           int tagNo,
                           ASN1Encodable obj)

Parameters:
  `explicit` - true if an explicitly tagged object.
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### BERTaggedObject

    public BERTaggedObject(boolean explicit,
                           int tagClass,
                           int tagNo,
                           ASN1Encodable obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD